BODY {
    margin: 0px;
    --box-width: 32vw;
    line-height: 1.5em;
    font-size: 1vw; /* MUST NOT USE 1.8vh : change text formating */
    background: rgb(136, 136, 136);
}

BODY.left #boxes {
    left: 0px;
    right: 0px;
}
BODY.left #terminal {
    left: var(--box-width);
    z-index: 20; /* Above boxes */
}
BODY.left BOX:hover {
    opacity: 1;
}
BODY.left #menu {
    left: calc(var(--box-width) - 10%);
}

#terminal {
    position: absolute;
}

.xterm-rows DIV {
    background: #000;
}

TABLE {
    border-spacing: 0px;
}
TABLE, TABLE TD, TABLE TH {
    border: 1px solid #888;
}

P {
    margin-top: 0.5em;
    margin-bottom: 0px;
}

BUTTON {
    font-size: 100%
}

.popup {
    position: absolute;
    top: 5em;
    bottom: 5em;
    left: 5em;
    right: 5em;
    z-index: 1000;
    background: #EEE;
    font-size: 12px;
    line-height: 1.1em;
    overflow: scroll;
}

.popup > BUTTON.close {
    position: fixed;
    top: 4.5em ;
    right: 4.5em;
    font-size: 100%;
}
.popup PRE {
    background: #FFF;
}
.watch {
    background: #FFD;
}
#students_details {
    position: absolute;
    left: 50%;
}
#menu {
    display: block;
    position: absolute;
    left: 2%;
    top: 5%;
    z-index: 30; /* Above terminal */
}

#menu > DIV {
    display: inline-block;
    background: #FFF;
    vertical-align: top;
    margin: 0.3em;
    transition: 1s opacity;
    opacity: 0;
    padding: 0.3em;
    border-radius: 1em;
    border: 1px solid #000;
}

#menu > DIV > DIV > SPAN {
    font-family: monospace, monospace;
    display: inline-block;
    background: #FF0;
    border: 1px solid #888;
    height: 1.5em;
    width: 1.5em;
    text-align: center;
    border-radius: 1.5em;
    color: #000;
}

#menu > DIV > DIV[long="1"] > WHAT {
    display: inline-block;
    line-height: 1em;
    font-size: 65%;
    vertical-align: bottom;
    width: 25em;
    height: 2em;
    text-align: justify;
    overflow: hidden;
}

#menu > DIV > DIV.selected {
    background: #000;
    color: #FFF;
}

#menu > DIV.visible {
    opacity: 1;
}

#menu > DIV.upper {
    opacity: 0.8;
}

#boxes {
    position: absolute;
    right: 0px;
    width: var(--box-width);
    z-index: 10;
    transition: 1s top;
}

BOX {
    display: block;
    background: #CCC;
    border-radius: 1em;
    font-family: sans-serif;
    padding: 0.3em;
    text-align: justify;
    margin: 0.2em;
    box-sizing: border-box;
    transition: 0.5s margin-left;
    margin-left: 0px;
    width: var(--box-width);
}

BOX[closed="1"] {
    margin-left: calc( var(--box-width) - 2em );
    border: 2px solid black;
    width: 2em;
    height: 1.2em;
    padding-top: 0px;
    overflow: hidden;
    animation: 3s infinite dotdotdot;
}
BOX[closed="1"]:before {
    content: '···      ';
}
@keyframes dotdotdot {
    0% {
        filter: brightness(0.5);
    }
    50% {
        filter: brightness(1);
    }
    100% {
        filter: brightness(0.5);
    }
}

BOX:hover {
    opacity: 0.5;
}
BOX.status:hover {
    opacity: 1;
}

BOX.status {
    bottom: 0px;
    animation: none;
    background: #88F;
    width: fit-content;
    position: fixed;
    border-radius: unset;
    padding: 0px;
    right: 0px;
}

BOX.good {
    background: #0F0;
}

BOX.giveup {
    background: #00F;
    color: #FFF;
}

BOX.fail, BOX.cheat {
    background: #F00;
    color: #FFF;
    font-weight: bold;
}

BOX.end {
    background: #FF0;
    font-size: 200%;
}

BOX.course {
    background: #FFF;
}

BOX.ask {
    background: #8FF;
}

BOX.tip {
    background: #F8F;
}

BOX.transient {
    background: #F00;
    color: #FFF;
}

BOX.bug:before {
    color: #800;
    font-size: 200%;
}

BOX.fail:before, BOX.cheat:before {
    display: block;
    font-weight: initial;
}

BOX.next {
    font-size: 80%;
    line-height: 1.1em;
    white-space: pre;
}

PATH, CMD, ARG, VAR, PAT, REGEXP, KEY, PRE, TT, OPT {
    font-family: monospace, monospace;
}

PATH { border: 1px dashed #000 }
CMD { font-weight: bold }
ARG { font-weight: bold }
OPT { font-weight: bold }
VAR { color: #00F }
PAT { color: #808 }
REGEXP { color: #080 }
LANG { font-style: italic }
DEF { border: 1px solid #000 }
IMPORTANT { color: #088; font-weight: bold; }
SCREEN { background: #000; color: #FFF; }

WHITE { background: #FFF }

KEY:before { content: '<'; font-weight: bold }
KEY:after { content: '>'; font-weight: bold }

CMD:before { content: '«'; }
CMD:after { content: '»'; }

ARG:before { content: '«'; }
ARG:after { content: '»'; }
